<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Applicant</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Applicant
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Applicant</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${successimpor != null}">
                <h4>Impor Data Success!</h4>

                <p>Data Berhasil Diimpor.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="box">
                <form method="get">
                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <h3 class="box-title">List of Applicant</h3>
                            </div>
                            <div class="col-md-6" align="right">
                                Show entries <span sd:page-size-selector="javascript"></span>
                            </div>
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-12" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>
                <!-- /.box-header -->


                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Nick Name</th>
                            <th>Full Name</th>
                            <th>Place of Birth</th>
                            <th>Date of Birth</th>
                            <th>Gender</th>
                            <th>Job Apply</th>
                            <th style="width: 60px">Photo</th>
                            <th style="width: 40px">Detail</th>
                            <th style="width: 40px">Identity</th>
                            <th style="width: 40px">Certificate</th>
                            <th style="width: 40px">Support</th>
                            <th style="width: 40px"></th>
                        </tr>
                        <tr th:each="data,row : ${listApplicant}">
                            <td th:text="${(row.index + 1) + (listApplicant.number * listApplicant.size)}">1.</td>

                            <td th:text="${data[1]}">BEASISWA</td>
                            <td th:text="${data[2]}">BEASISWA</td>
                            <td th:text="${data[3]}">BEASISWA</td>
                            <td th:text="${data[4]}">BEASISWA</td>
                            <td th:text="${data[5]}">BEASISWA</td>
                            <td th:text="${data[24]}">BEASISWA</td>
                            <td>
                                <img th:src="@{/recruitment/applicant/{applicant}/applicant/(applicant=${data[0]})}" alt="No Image" width="150px">
                            </td>

                            <td>
                                <button type="button" class="btn btn-success btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-detail'+${data[0]}">
                                    Detail
                                </button>

                                <div class="modal fade" th:id="modal-detail+${data[0]}">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title">Detail Applicant</h4>
                                            </div>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="table-responsive">
                                                            <table class="table">
                                                                <tr>
                                                                    <td>Nick Name</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[1]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Full Name</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[2]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Gender</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[5]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Place of birth</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[3]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Date of birth</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[4]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Blood</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[6]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Religion</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[25]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>No NPWP</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[8]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>No BPJS Kesehatan</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[9]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>No BPJS TK</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[10]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Identity Number</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[11]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Identity Address</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[12]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Domisili Address</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[13]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Telephone</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[14]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Cellphone</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[15]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Email Aktive</td>
                                                                    <td> : </td>
                                                                    <td th:text="${data[16]}"> test </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Photo</td>
                                                                    <td> : </td>
                                                                    <td>
                                                                        <img th:src="@{/recruitment/applicant/{applicant}/applicant/(applicant=${data[0]})}" alt="" width="200px">
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                            </div>
                                        </div>
                                        <!-- /.modal-content -->
                                    </div>
                                </div>
                            </td>
                            <td>
                                <div th:each="dataIdentity : ${listIdentity}">
                                    <a th:href="@{/applicant/{identityFile}/identity/ktp/(identityFile = ${dataIdentity.id})}" th:if="${data[0] == dataIdentity.applicant.id}" class="btn btn-success btn-xs" target="_blank">View KTP</a><br>
                                    <a th:href="@{/applicant/{identityFile}/identity/kk/(identityFile = ${dataIdentity.id})}" th:if="${data[0] == dataIdentity.applicant.id}" class="btn btn-success btn-xs" target="_blank"> View KK</a><br>
                                    <a th:href="@{/applicant/{identityFile}/identity/npwp/(identityFile = ${dataIdentity.id})}" th:if="${data[0] == dataIdentity.applicant.id}" class="btn btn-success btn-xs" target="_blank"> View NPWP</a>
                                </div>
                            </td>
                            <td>
                                <div th:each="dataCertificate : ${listCertificate}">
                                    <a class="btn btn-success btn-xs" th:text="${dataCertificate.certificateName}" th:href="@{/applicant/{certificate}/certificate/(certificate = ${dataCertificate.id})}" target="_blank">
                                        View Attachment
                                    </a>
                                </div>
                            </td>
                            <td>
                                <div th:each="dataSupport : ${listFileSupport}">
                                    <a th:text="${dataSupport.support.name.toUpperCase()}" th:href="@{/applicant/{supportFile}/supportFile/(supportFile = ${dataSupport.id})}" class="btn btn-success btn-xs" target="_blank">
                                        View Attachment
                                    </a>
                                </div>
                            </td>
                            <td th:if="${data[27] == 'SENT' and data[29] == null}">

                                <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#modal-hasil" th:attr="data-target='#modal-wawancara'+${data[0]}">
                                    Status Wawancara
                                </button>

                                <div class="modal fade" th:id="modal-wawancara+${data[0]}">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <form method="post" th:action="@{/recruitment/applicant/wawancara}">
                                                <input type="hidden" name="schedule" th:value="${data[26]}">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span></button>
                                                    <h4 class="modal-title">Status Wawancara</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label for="wawancara" class="col-sm-2 control-label">Status Wawancara</label>

                                                                <div class="col-sm-10">
                                                                    <select class="form-control select2" name="wawancara" id="wawancara" style="width: 100%;">
                                                                        <option th:each="data : ${statusWawancara}"
                                                                                th:text="${#strings.replace(data, '_', ' ')}"
                                                                                th:value="${data}">sdasd</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-primary pull-right">Submit <li class="fa fa-download"></li></button>
                                                </div>
                                            </form>
                                        </div>
                                        <!-- /.modal-content -->
                                    </div>
                                </div>

                            </td>
                            <td th:if="${data[26] == null}">

                                <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-email'+${data[0]}">
                                    Send Email
                                </button>

                                <div class="modal fade" th:id="modal-email+${data[0]}">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <form method="post" th:action="@{/recruitment/applicant/send}" th:object="${schedule}">
                                                <input type="hidden" name="applicant" th:value="${data[0]}">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span></button>
                                                    <h4 class="modal-title">Announcment for Applicant</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label for="jenisUndangan" class="col-sm-2 control-label">Jenis Undangan</label>

                                                                <div class="col-sm-10">
                                                                    <select class="form-control select2" name="jenisUndangan" th:field="*{jenisUndangan}" id="jenisUndangan" style="width: 100%;">
                                                                        <option th:each="data : ${jenisUndangan}"
                                                                                th:text="${#strings.replace(data, '_', ' ')}"
                                                                                th:value="${data}">sdasd</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label for="tanggal" class="col-sm-2 control-label" >Tanggal Undangan</label>
                                                                <div class="col-md-10">
                                                                    <input type="text" name="tanggalString" id="tanggal" th:field="*{tanggalString}" class="form-control">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label class="col-sm-2 control-label">Waktu Undangan</label>

                                                                <div class="col-sm-10">
                                                                    <div class="input-group">
                                                                        <input type="text" class="form-control timepicker" th:field="*{waktu}" name="waktu">

                                                                        <div class="input-group-addon">
                                                                            <i class="fa fa-clock-o"></i>
                                                                        </div>
                                                                    </div>
                                                                    <p th:if="${#fields.hasErrors('waktu')}" th:errors="*{waktu}" class="text-danger"> Mata Anggaran Error</p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label for="employes" class="col-sm-2 control-label">Bertemu dengan </label>

                                                                <div class="col-sm-10">
                                                                    <select class="form-control select2" name="bertemuDengan" th:field="*{bertemuDengan}" id="employes" style="width: 100%;">
                                                                        <option th:each="data : ${employes}"
                                                                                th:text="${data.fullName}"
                                                                                th:value="${data.id}">sdasd</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label for="Deskripsi"> Deskripsi</label>
                                                                <textarea class="form-control textarea" name="deskripsi" id="Deskripsi"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-primary pull-right">Send <li class="fa fa-send"></li></button>
                                                </div>
                                            </form>
                                        </div>
                                        <!-- /.modal-content -->
                                    </div>
                                </div>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Nick Name</th>
                            <th>Full Name</th>
                            <th>Place of Birth</th>
                            <th>Date of Birth</th>
                            <th>Gender</th>
                            <th>Job Apply</th>
                            <th style="width: 60px">Photo</th>
                            <th style="width: 40px">Detail</th>
                            <th style="width: 40px">Identity </th>
                            <th style="width: 40px">Certificate</th>
                            <th style="width: 40px">Support</th>
                            <th style="width: 40px"></th>
                        </tr>


                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            // CKEDITOR
            // CKEDITOR.replace("deskripsi")

            //Date picker
            $('#tanggal').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            $('#tanggalEmployee').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false,
                format: 'hh:mm'
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>